
D4Science Infrastructure - Task #8752

Task # 8750 (Closed): Create Accounting Service Cluster

HA Proxy Instance for accounting service

May 25, 2017 03:07 PM - Luca Frosini

Status: Closed Start date: May 25, 2017

Priority: Normal Due date: Jun 05, 2017

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: D4Science Infrastructure Upgrade to

gCube 4.5

  

Infrastructure: Production   

Description

I think we can reuse the VM of accounting-d4s.d4science.org 

History

#1 - May 26, 2017 10:48 AM - Roberto Cirillo

- Due date set to Jun 05, 2017

#2 - May 26, 2017 11:52 AM - Roberto Cirillo

According with our policies we should call it: accounting-service.d4science.org

#3 - Jun 07, 2017 07:26 PM - Andrea Dell'Amico

- Tracker changed from VM Creation to Task

We're going to use the infra load balancer for this service. It has plenty of resources and it's in HA.

#4 - Jun 08, 2017 01:04 PM - Andrea Dell'Amico

We need a URL that haproxy can check regularly and very frequently (each second or less) to know the status of the service on every host.

#5 - Jun 08, 2017 04:20 PM - Luca Frosini

- Category set to Application

GET/HEAD  /accounting-service/gcube/service/status/getStatus?gcube-token=XXXXXX

#6 - Jun 08, 2017 04:21 PM - Luca Frosini

Regarding the token we can generate an application token to be used in all checks.

#7 - Jun 08, 2017 04:22 PM - Luca Frosini

@pasquale.pagano@isti.cnr.it what do you think about an application token used by checks

#8 - Jun 08, 2017 04:46 PM - Pasquale Pagano

I think that it is the only way to go. We need to register a service endpoint for Nagios. Then we will generate an application token for it. Please notice

that the token is per context. 

#9 - Jun 08, 2017 04:47 PM - Andrea Dell'Amico

We usually use a guest token for this kind of activities. @lucio.lelii@isti.cnr.it is going to look at it 

#11 - Jun 08, 2017 06:22 PM - Andrea Dell'Amico

- Status changed from New to In Progress

Done. There's no http -> https redirection. Do we need it?

#12 - Jun 08, 2017 06:31 PM - Luca Frosini
I have to change the library to use the HAProxy instead of the Service directly. In the next days I'll do it and I'll configure the connection to haproxy

directly to https.

If needed I'll modify the client to support https connection instead of http one.

HAProxy is a transparent proxy, right?

#13 - Jun 08, 2017 06:34 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

Luca Frosini wrote:

I have to change the library to use the HAProxy instead of the Service directly. In the next days I'll do it and I'll configure the connection to

haproxy directly to https.

If needed I'll modify the client to support https connection instead of http one.

HAProxy is a transparent proxy, right?

 Yes.

#15 - Jun 14, 2017 12:26 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
